Xubuntu 16.04 on RPi2 won't run apt-get update properly.


Recommended Posts

SoCalRox

A couple of days ago, apt-get started acting up and it is clearly having issues, but the few things I've tried from posts I have found by googling have not yielded success. Any ideas? Here's what it says:

Get:13 http://ports.ubuntu.com xenial-updates/universe DEP-11 64x64 Icons [48.8 kB]
Get:14 http://ports.ubuntu.com xenial-security/main Sources [22.1 kB] 
Get:15 http://ports.ubuntu.com xenial-security/universe Sources [5,508 B] 
Get:16 http://ports.ubuntu.com xenial-security/main armhf Packages [70.3 kB] 
Get:17 http://ports.ubuntu.com xenial-security/main Translation-en [32.6 kB] 
Get:18 http://ports.ubuntu.com xenial-security/universe armhf Packages [21.8 kB]
Get:19 http://ports.ubuntu.com xenial-security/universe Translation-en [13.4 kB]
Get:20 http://ports.ubuntu.com xenial-security/universe armhf DEP-11 Metadata [2,328 B]
Fetched 925 kB in 4s (215 kB/s) 
Segmentation fault (core dumped)
Reading package lists... Error!
E: Problem executing scripts APT::Update::Post-Invoke-Success 'if /usr/bin/test -w /var/cache/app-info -a -e /usr/bin/appstreamcli; then appstreamcli refresh > /dev/null; fi'
E: Sub-process returned an error code
E: Problem parsing dependency Depends
E: Error occurred while processing libghc-ekg-json-prof (NewVersion2)
E: Problem with MergeList /var/lib/apt/lists/ports.ubuntu.com_dists_xenial_universe_binary-armhf_Packages
E: The package lists or status file could not be parsed or opened.

Link to post
Share on other sites
Mindovermaster

Does it go through an apt-get update OK? Could be your sources/PPA's are bad... Only thing I can think of...

Link to post
Share on other sites
SoCalRox

No, this is in the update phase. I've replaced a couple of tables used by apt but it still belches. The snippet above is from an apt-get update, where it blows up.

Link to post
Share on other sites
Mindovermaster

Oh, OK, are you sure your sources are correct?

Link to post
Share on other sites
SoCalRox

As sure as I can be. They worked one day, didn't work the next.

 

Probably something got all munged up. Maybe I'll just replace them if I can figure out how to without having to rebuild the install.

Link to post
Share on other sites
Mindovermaster

16.04 has brought me nothing but trouble... Why I use Mint these days.

Link to post
Share on other sites
Haggis

Do 

 

sudo apt-get clean
sudo apt-get update && sudo apt-get upgrade

 

Link to post
Share on other sites
  • 2 weeks later...
Unobscured Vision

Possibly the same issue that has plagued the 16.04 'buntus since release regarding apt. Stuff got broke, badly. The Mint Team is watching this one very carefully, making sure it doesn't pop up on their end. Lots of problems caused by this single issue.

Link to post
Share on other sites
This topic is now closed to further replies.
  • Recently Browsing   0 members

    No registered users viewing this page.